/**
 * jquery
*/

$(function(){




});


/**
 * ajax加载我的页函数
*/
function load_user(user_url){

    user_url  +=  '?app=true';

    //ajax请求
    api.ajax({
        url: user_url,
        method: 'get',
        cache: true,    //是否缓存，若缓存，下次没网络时请求则会使用缓存，仅在get请求有效
        data: {}
    }, function(ret, err) {
        //请求成功
        if(ret) {
            //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
            api.refreshHeaderLoadDone();

            //隐藏正在加载
            $('.loading').css('display','none');

            //处理 [服务器端的是否登录] 的json返回
            set_server_is_login(ret);

            //填充我的页html
            $('.user_box').html(ret.html);

        }
        //请求失败
        else{
            //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
            api.refreshHeaderLoadDone();
            //失败提示
            api.toast({msg: JSON.stringify(err),duration: 2000,location: 'bottom'});
        }
    });
}