/**
 * jquery
*/

$(function(){


    /**
     * 打开聊天窗口
    */
    $('.open_window_xiaoxi').live('click',function(){
        
        //获取up_window_name
        var this_up_window_name =   $(this).attr('up_window_name');
        //获取b_uid
        var this_b_uid  =   $(this).attr('b_uid');
        //获取b_nickname
        var this_b_nickname  =   $(this).attr('b_nickname');

        if(!this_b_uid || !this_up_window_name || !this_b_nickname){
            alert('参数不合法!');
            return false;
        }

        //打开窗口
        api.openWin({
            name: 'liaotian',
            url: 'widget://html/xiaoxi_content.html',
            useWKWebView: true,
            slidBackEnabled:false,
            pageParam: {
                up_window_name: this_up_window_name,    //上一个窗口的名称
                b_uid: this_b_uid,   //想跟谁聊天
                b_nickname: this_b_nickname, //他的昵称
            }
        });

        return false;
    });


    /**
     * 打开评论通知
    */
    $('.open_window_pingluntongzhi').live('click',function(){
        //获取up_window_name
        var this_up_window_name =   $(this).attr('up_window_name');
        //获取b_nickname
        var this_b_nickname  =   $(this).attr('b_nickname');

        //打开窗口
        api.openWin({
            name: 'liaotian',
            url: 'widget://html/xiaoxi_tongzhi.html',
            useWKWebView: true,
            slidBackEnabled:false,
            pageParam: {
                up_window_name: this_up_window_name,    //上一个窗口的名称
                b_nickname: this_b_nickname, //他的昵称
                tongzhi_url: 'http://www.wnbm110.com/Index/Xiaoxi/xiaoxi_tongzhi_pinglun.html',    //评论通知列表的url
            }
        });

        return false;
    });

    /**
     * 打开积分通知
    */
    $('.open_window_jifentongzhi').live('click',function(){
        //获取up_window_name
        var this_up_window_name =   $(this).attr('up_window_name');
        //获取b_nickname
        var this_b_nickname  =   $(this).attr('b_nickname');

        //打开窗口
        api.openWin({
            name: 'liaotian',
            url: 'widget://html/xiaoxi_tongzhi.html',
            useWKWebView: true,
            slidBackEnabled:false,
            pageParam: {
                up_window_name: this_up_window_name,    //上一个窗口的名称
                b_nickname: this_b_nickname, //他的昵称
                tongzhi_url: 'http://www.wnbm110.com/Index/Xiaoxi/xiaoxi_tongzhi_jifen.html',    //积分通知列表的url
            }
        });

        return false;
    });

});


/**
 * 设置消息列表样式
*/
function set_xiaoxi_list_style(){
    var box_width  =   $('#LayoutDiv1').width();    //盒子宽度
    $('.xiaoxi_li_main').width(box_width-85);
    $('.xiaoxi_li_main_top_nickname').width(box_width-190);
}

/**
 * 统计未阅读消息函数
*/
function count_weiyuedu_xiaoxi(){
    //获取总个数
    var this_size    =  $('.xiaoxi_ul .xiaoxi_li').size();
    //未阅读
    var weiyuedu     =  0; 
    //循环获取
    for(var i=0;i<this_size;i++){
        //获取单个数量
        var this_num =  $('.xiaoxi_ul .xiaoxi_li:eq('+i+') .xiaoxi_li_left_num span').html();
        if(this_num){
            weiyuedu += parseInt(this_num);
        }
    }

    //广播 [一共未阅读多少消息] 事件
    api.sendEvent({
        name: 'yigongweiyueduduoshaoxiaoxi',
        extra: {
            weiyuedu: weiyuedu,
        }
    });
}


/**
 * ajax加载消息页函数
*/
function load_xiaoxi(xiaoxi_url){

    
    //ajax请求
    api.ajax({
        url: xiaoxi_url,
        method: 'get',
        cache: true,    //是否缓存，若缓存，下次没网络时请求则会使用缓存，仅在get请求有效
        data: {}
    }, function(ret, err) {

        //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        api.refreshHeaderLoadDone();

        //请求成功
        if(ret) {
            
            //隐藏正在加载
            $('.loading').css('display','none');

            //处理 [服务器端的是否登录] 的json返回
            set_server_is_login(ret);

            //填充消息页html
            $('.xiaoxi_box').html(ret.html);

            //调用 [设置消息列表样式] 函数
            set_xiaoxi_list_style();

            //调用 [统计未阅读消息] 函数
            count_weiyuedu_xiaoxi();

        }
        //请求失败
        else{
            //失败提示
            api.toast({msg: JSON.stringify(err),duration: 2000,location: 'bottom'});
        }
    });

}