/**
 * jquery
*/

/**
 * 公共变量定义
*/

//当前页码
var page   =   1;



$(function(){


    

});



/**
 * ajax加载通知页函数
*/
function load_tongzhi(tongzhi_url){

    //ajax请求
    api.ajax({
        url: tongzhi_url,
        method: 'get',
        cache: false,    //是否缓存，若缓存，下次没网络时请求则会使用缓存，仅在get请求有效
        data: {}
    }, function(ret, err) {

        //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        api.refreshHeaderLoadDone();

        //请求成功
        if(ret) {
            
            //隐藏正在加载
            $('.loading').css('display','none');

            //处理 [服务器端的是否登录] 的json返回
            set_server_is_login(ret);

            //填充通知页html
            $('.tongzhi_box').html(ret.html);

            //跳转到底部锚点位置
            $(document).scrollTop(document.body.scrollHeight);

            //广播 [已阅读消息] 事件
            api.sendEvent({
                name: 'yiyueduxiaoxi',
                extra: {
                    haoyou_id: ret.haoyou_id,
                }
            });

            //页码+1
            page++;
        }
        //请求失败
        else{
            //失败提示
            api.toast({msg: JSON.stringify(err),duration: 2000,location: 'bottom'});
        }
    });
}

/**
 * ajax分页加载消息页函数
*/
function load_page_tongzhi(tongzhi_url){

    tongzhi_url  +=  '?p='+page;
    
    //ajax请求
    api.ajax({
        url: tongzhi_url,
        method: 'get',
        cache: false,    //是否缓存，若缓存，下次没网络时请求则会使用缓存，仅在get请求有效
        data: {}
    }, function(ret, err) {

        //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        api.refreshHeaderLoadDone();

        //请求成功
        if(ret) {

            //处理 [服务器端的是否登录] 的json返回
            set_server_is_login(ret);

            //插入html
            $('.tongzhi_box').prepend(ret.html);

            //页码+1
            page++;

        }
        //请求失败
        else{
            //失败提示
            api.toast({msg: JSON.stringify(err),duration: 2000,location: 'bottom'});
        }
    });
}