/**
 * jquery
*/

/**
 * 公共变量定义
*/
//当前页码
var page   =   1;



/**
 * ajax加载首页函数
*/
function load_index(url){

    //提示一下，现在加载的哪一个链接
    //api.toast({msg: url,duration: 5000,location: 'bottom'});

    //ajax请求
    api.ajax({
        url: url,
        method: 'get',
        cache: true,    //是否缓存，若缓存，下次没网络时请求则会使用缓存，仅在get请求有效
        data: {}
    }, function(ret, err) {
        //请求成功
        if(ret) {

            //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
            api.refreshHeaderLoadDone();

            //隐藏正在加载
            $('.loading').css('display','none');

            //填充首页html
            $('.index_html').html(ret.html);

            //初始化首页广告图当前显示第几张
            index_top_ad_shunxu =   0;
            //处理首页广告宽高
            set_index_top_ad(ret.top_ad_class);
            //处理首页广告效果
            set_index_top_ad_xiaoguo(ret.top_ad_class);

            //将当前页码初始化为1
            page   =   1;

            //设置分站链接
            fenzhan_url =   ret.fenzhan_url+'/?app=true';    //便于下拉刷新使用，以及分页加载使用
                
            //广播更改分站事件
            api.sendEvent({
                name: 'edit_fenzhan',
                extra: {
                    fenzhan_name: ret.fenzhan_name,
                    fenzhan_url: ret.fenzhan_url,
                }
            });

        }
            
        //请求失败
        else{

            //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
            api.refreshHeaderLoadDone();
                
            //失败提示
            api.toast({
                msg: JSON.stringify(err),
                duration: 2000,
                location: 'bottom'
            });

        }
    });
}


/**
 * 首页分页加载函数
*/
function load_page_index(url){

    //是否有网络
    if(is_connectionType()){
        //加载状态
        var this_state  =   $('.page_looding').attr('state');
        //未加载
        if(this_state=='0'){
            //开始加载  
            //改变状态为：正在加载中
            $('.page_looding').attr('state','1');
            
            //页码+1
            page++;

            //ajax请求
            api.ajax({
                url: url+"&ajax=true&p="+page,
                method: 'get',
                data: {}
            }, function(ret, err) {
                //请求成功
                if(ret) {
                    
                    //如果有数据
                    if(ret.listing_count>0){

                        //追加html
                        $('.ajax_page_add').append(ret.html);
                        //改变状态为：初始化
                        $('.page_looding').attr('state','0');
                    }
                    //如果没有数据
                    else{
                        
                        //改变状态为：没有了
                        $('.page_looding').attr('state','2');
                    }
                }
                    
                //请求失败
                else{
                    //失败提示
                    api.toast({
                        msg: JSON.stringify(err),
                        duration: 2000,
                        location: 'bottom'
                    });

                }
            });

        }
        //其他状态不用执行。保持即可
    }

}
