/**
 * jquery
*/

/**
 * 公共变量定义
*/
//当前页码
var page   =   1;
//搜索链接
var sreach_url =   '';


$(function(){

    //设置input的宽度
    var search_keywords_width   =   $('#LayoutDiv1').width();
        search_keywords_width   -=  112;
    $('.search_form_left input').width(search_keywords_width);

    //使input获得焦点
    $('.search_form_left input').focus();

});



/**
 * 打开搜索结果页
*/
function open_search_result_page(y,h,fenzhan_url,type){
    api.openFrame({
        name: 'search_result_page',
        url: 'widget://html/index_search_frame.html',
        bounces: true,
        useWKWebView: true, //是否使用WKWebView来加载页面，只支持iOS8.0及以上系统
        bgColor: '#eee',
        pageParam: {
            fenzhan_url: fenzhan_url,
            type: type,
        },
        rect: {
            x: 0,
            y: y,
            w: 'auto',
            h: h
        }
    });
}



/**
 * 加载热搜
*/
function load_resou(type){
    //ajax请求
    api.ajax({
        url: 'http://www.wnbm110.com/Index/Index/resou.html?type='+type,
        method: 'get',
        cache: true,    //是否缓存，若缓存，下次没网络时请求则会使用缓存，仅在get请求有效
        data: {}
    }, function(ret, err) {
        //请求成功
        if(ret) {
            //组建热搜关键词html
            var resou_content   =   '';
            for(var i in ret['list']){
                resou_content   +=  '<a href="javascript:;">'+ret['list'][i]+'</a>';
            }
            //添加到html中
            $('.resou_content').html(resou_content);

            //隐藏正在加载
            $('.loading').css('display','none');

            //显示关键词
            $('.resou').css('display','block');
        }
        //请求失败
        else{
            //失败提示
            api.toast({msg: JSON.stringify(err),duration: 2000,location: 'bottom'});
        }
    });
}





/**
 * ajax加载搜索列表函数
 * 搜索类型，关键词，分站URL
*/
function load_search_list(type,keywords,fenzhan_url){

    //定义搜索链接
    sreach_url  =  fenzhan_url+'/Index/Index/search.html?type='+type+'&keywords='+keywords;

    //显示正在加载
    $('.loading').css('display','block');

    //ajax请求
    api.ajax({
        url: sreach_url,
        method: 'get',
        cache: true,    //是否缓存，若缓存，下次没网络时请求则会使用缓存，仅在get请求有效
        data: {}
    }, function(ret, err) {
        //请求成功
        if(ret) {

            //隐藏正在加载
            $('.loading').css('display','none');

            //隐藏热搜
            $('.resou').css('display','none');

            //填充搜索列表html
            $('.search_list').html(ret.html);

            //将当前页码初始化为1
            page   =   1;

            //改变分页加载状态为：初始化
            $('.page_looding').attr('state','0');

        }
        //请求失败
        else{
            //失败提示
            api.toast({msg: JSON.stringify(err),duration: 2000,location: 'bottom'});
        }
    });
}


/**
 * 搜索列表分页加载函数
*/
function load_page_search_list(){


    //是否有网络
    if(is_connectionType()){
        //加载状态
        var this_state  =   $('.page_looding').attr('state');
        //未加载
        if(this_state=='0'){
            //开始加载  
            //改变分页加载状态为：正在加载中
            $('.page_looding').attr('state','1');
            
            //页码+1
            page++;

            //ajax请求
            api.ajax({
                url: sreach_url+"&ajax=true&p="+page,
                method: 'get',
                data: {}
            }, function(ret, err) {
                //请求成功
                if(ret) {

                    //如果有数据
                    if(ret.listing_count>0){

                        //追加html
                        $('.search_list').append(ret.html);
                        //改变分页加载状态为：初始化
                        $('.page_looding').attr('state','0');
                    }
                    //如果没有数据
                    else{
                        
                        //改变分页加载状态为：没有了
                        $('.page_looding').attr('state','2');
                    }
                }
                    
                //请求失败
                else{
                    //失败提示
                    api.toast({
                        msg: JSON.stringify(err),
                        duration: 2000,
                        location: 'bottom'
                    });

                }
            });

        }
        //其他状态不用执行。保持即可
    }

}
