/**
 * jquery
*/


/**
 * 公共变量定义
*/
//上传视频任务json
var upload_video_mission        =   {};
//上传视频任务数量
var upload_video_mission_size   =   0;
//上传视频成功数量
var upload_video_success_size	=	0;
//当前页码
var page   						=   1;
//分页加载状态
var page_load_state				=	0;	//0可以加载，1正在加载，2没有了


$(function(){

    //删除上传视频队列
    $('.upload_video_mission_content .this_li_body_title_oper').live('click',function(){
    	api.actionSheet({
		    title: '操作',
		    cancelTitle: '取消',
		    destructiveTitle: '删除任务'
		}, function(ret, err) {
		    var index = ret.buttonIndex;
		    if(index==1){
		    	 api.toast({msg: '此功能暂不支持，敬请期待！',duration: 2000,location: 'bottom'});
		    }
		});
    });

    //视频操作菜单
    $('.user_video_li_oper a').live('click',function(){

    	//取得视频id
    	var video_id =	$(this).attr('video_id');

    	//打开菜单弹出
    	api.actionSheet({
		    title: '操作',
		    cancelTitle: '取消',
		    destructiveTitle: '删除视频',
		    buttons: ['编辑视频'],
		}, function(ret, err) {
		    var index = ret.buttonIndex;

		    //删除视频
		    if(index==1){
		    	if(confirm('确定删除吗？\n删除后不可恢复！')){

					//ajax请求
				    api.ajax({
				        url: 'http://www.wnbm110.com/Index/User/delete_video.html',
				        method: 'post',
				        cache: false,    //是否缓存，若缓存，下次没网络时请求则会使用缓存，仅在get请求有效
				        data: {
				        	values: {
				        		id: video_id,
				        	},
				        },
				    }, function(ret, err) {
				        //请求成功
				        if(ret) {
				        	//返回成功
				        	if(ret['status']==1){

				        		api.toast({msg: '删除视频成功',duration: 2000,location: 'middle'});

						        //调用获取视频列表函数
						    	get_video_list();
				        	}
				        	//返回失败
				        	else{
				        		//失败提示
				            	api.toast({msg: ret['info'],duration: 2000,location: 'bottom'});
				        	}
				        }
				        //请求失败
				        else{
				            //失败提示
				            api.toast({msg: JSON.stringify(err),duration: 2000,location: 'bottom'});
				        }
				    });
		    	}
		    }
		    //编辑视频
		    else if(index==2){
				
		    	//打开编辑视频窗口
			    api.openWin({
			        name: 'user_video_edit',
			        url: 'widget://html/user_video_edit.html',
			        useWKWebView: true,
			        slidBackEnabled:false,
			        pageParam: {
			            up_window_name: name,   //上一个窗口名称
			            video_id: video_id   //视频id
			        }
			    });

		    }
		});
    });

});


/**
 * 设置上传队列样式函数
*/
function set_upload_video_mission_style(){

	var window_width	=	$('#LayoutDiv1').width();
	var upload_video_mission_content_this_li_body_width	=	window_width-100-30
	$('.upload_video_mission_content .this_li_body').width(upload_video_mission_content_this_li_body_width);
	$('.upload_video_mission_content .this_li_body_title_oper').css('margin-left',upload_video_mission_content_this_li_body_width-30);
	$('.upload_video_mission_content .this_li_body_title_text').width(upload_video_mission_content_this_li_body_width-40);

}

/**
 * 设置视频管理样式函数
*/
function set_user_video_style(){

	var window_width	=	$('#LayoutDiv1').width();
	var this_img_height	=	window_width*0.45;
	$('.user_video_li_top,.user_video_li_top_img img').height(this_img_height);
	$('.user_video_li_top_date').css('margin-top',this_img_height-22);
	$('.user_video_li_oper').css('margin-top',this_img_height);
	$('.user_video_li_oper').css('margin-left',window_width-40);
	$('.user_video_li_bottom_title').width(window_width-60);
}


/**
 * 生成上传队列界面函数
*/
function generation_upload_video_mission_ui(ret){

	//修改上传视频任务json
	upload_video_mission =	ret.value;

    
	//提示
	//api.toast({msg: JSON.stringify(upload_video_mission),duration: 2000,location: 'bottom'});

	//统计上传视频任务数量
	var this_upload_video_mission_size	=	0;
	//统计上传视频成功数量
	var this_upload_video_success_size	=	0;
	//循环统计
	for(var i in upload_video_mission){
		//任务数量
		this_upload_video_mission_size++;

		//成功数量
		if(upload_video_mission[i]['upload_status']==1){
			this_upload_video_success_size++;
		}
	}

	//如果任务数量与当前任务数量不同，重新生成UI
	if(this_upload_video_mission_size!=upload_video_mission_size){

		//api.toast({msg: '正在生成UI，'+this_upload_video_mission_size+'个',duration: 2000,location: 'top'});

		if(this_upload_video_mission_size==0){
			api.toast({msg: JSON.stringify(upload_video_mission),duration: 2000,location: 'bottom'});
		}

		//重新赋值任务数量
		upload_video_mission_size =	this_upload_video_mission_size;

		//默认ui为空
		var upload_video_mission_ui =	'';

		//如果有任务
		if(upload_video_mission_size>0){
			//标题UI
			upload_video_mission_ui +=	'<div class="upload_video_mission_title">';
			upload_video_mission_ui +=	'<div class="upload_video_mission_title_icon"></div>';
			upload_video_mission_ui +=	'<div class="upload_video_mission_title_text">上传队列</div>';
			upload_video_mission_ui +=	'</div><div class="upload_video_mission_content">';

			//中间UI
			for(var i in upload_video_mission){

				//上传状态
				var upload_status_text	=	'未知';
				if(upload_video_mission[i]['upload_status']==0) upload_status_text='等待上传';
				if(upload_video_mission[i]['upload_status']==1) upload_status_text='上传成功';
				if(upload_video_mission[i]['upload_status']==2) upload_status_text='上传中';
				if(upload_video_mission[i]['upload_status']==3) upload_status_text='上传失败';

				//上传进度
				var upload_progress	=	upload_video_mission[i]['upload_progress'];
					upload_progress	=	upload_progress.toFixed(2);	//保留两位小数

				//视频时间
				var duration	=	s_to_hs(upload_video_mission[i]['duration']);

				upload_video_mission_ui +=	'<div class="this_li" key="'+i+'"><div class="this_li_img"><div class="this_li_img_img">';
				upload_video_mission_ui +=	'<img src="../image/background/upload_viedo_mp4_bg.jpg">';
				upload_video_mission_ui +=	'</div><div class="this_li_img_date">'+duration+'</div>';
				upload_video_mission_ui +=	'</div><div class="this_li_body"><div class="this_li_body_title"><div class="this_li_body_title_text">';
				upload_video_mission_ui +=	''+upload_video_mission[i]['title']+'</div><div class="this_li_body_title_oper">';
				upload_video_mission_ui +=	'<a href="javascript:;"></a></div></div><div class="this_li_body_data"><div class="this_li_body_data_left"';
				upload_video_mission_ui +=	' upload_status="'+upload_video_mission[i]['upload_status']+'">'+upload_status_text+'</div>';
				upload_video_mission_ui +=	'<div class="this_li_body_data_right">'+upload_progress+'%</div></div><div class="this_li_body_jindu">';
				upload_video_mission_ui +=	'<div class="this_li_body_jindu_main" style="width:'+upload_progress+'%"></div></div>';
				upload_video_mission_ui +=	'</div></div>';


			}

			//结尾UI
			upload_video_mission_ui +=	'	</div>';
		}


		//设置上传视频队列UI
		$('.upload_video_mission').html(upload_video_mission_ui);

		//设置上传队列样式函数
		set_upload_video_mission_style();

	}

	//如果任务数量相同，那么只更新进度
	else{

		//api.toast({msg: '已生成UI',duration: 2000,location: 'bottom'});

		//遍历任务
		for(var i in upload_video_mission){

			//上传状态
			var upload_status_text	=	'未知';
			if(upload_video_mission[i]['upload_status']==0) upload_status_text='等待上传';
			if(upload_video_mission[i]['upload_status']==1) upload_status_text='上传成功';
			if(upload_video_mission[i]['upload_status']==2) upload_status_text='上传中';
			if(upload_video_mission[i]['upload_status']==3) upload_status_text='上传失败';

			//上传进度
			var upload_progress	=	upload_video_mission[i]['upload_progress'];
				upload_progress	=	upload_progress.toFixed(2);	//保留两位小数


			//修改上传状态
			$('.upload_video_mission .this_li[key="'+i+'"] .this_li_body_data_left').attr('upload_status',upload_video_mission[i]['upload_status']);
			$('.upload_video_mission .this_li[key="'+i+'"] .this_li_body_data_left').html(upload_status_text);

			//修改上传进度
			$('.upload_video_mission .this_li[key="'+i+'"] .this_li_body_data_right').html(upload_progress+'%');
			$('.upload_video_mission .this_li[key="'+i+'"] .this_li_body_jindu_main').css('width',upload_progress+'%');

		}


	}



	//如果上传视频成功数量与当前成功数量不同，重新获取已上传视频信息
	if(this_upload_video_success_size!=upload_video_success_size){
		//调用获取视频列表函数
    	get_video_list();
	}


}


/**
 * 获取视频列表
*/
function get_video_list(){
	
	//将当前页码初始化为1
    page   =   1;
    //将当前分页加载状态初始化为0
    page_load_state	=	0;

    //将视频管理内容设为空
    $('.upload_video_content').html('');

    //调用分页加载视频列表ajax函数
    page_load_video_list_ajax();

}


/**
 * 分页加载视频列表ajax
*/
function page_load_video_list_ajax(){

	//是否有网络
    if(is_connectionType()){

    	//分页加载状态，如果当前状态为0,那么就加载
    	if(page_load_state===0){

    		//开始加载
    		//改变状态为：加载中
    		page_load_state	=	1;

            //ajax请求
            api.ajax({
                url: "http://www.wnbm110.com/Index/User/app_video.html?&p="+page,
                method: 'get',
                data: {}
            }, function(ret, err) {

            	//加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
            	api.refreshHeaderLoadDone();

                //请求成功
                if(ret) {
                    
                    //如果有数据
                    if(ret.listing_count>0){

						//追加html
                    	$('.upload_video_content').append(ret.html);

                        //改变状态为：初始化
                        page_load_state	=	0;
                    }
                    //如果没有数据
                    else{
                        
                        //api.toast({msg: '已全部加载完毕',duration: 2000,location: 'bottom'});
                        //改变状态为：没有了
                        page_load_state	=	2;
                    }


                    //总数大于0的情况下，显示标题
                    if(ret.count>0){
                    	$('.user_video .upload_video_mission_title').css('display','block');

                    	//设置视频管理样式函数
    					set_user_video_style();
                    }
                    //否则隐藏标题及清空内容
                    //因为有的时候，被删除了，但是视频列表这里还有显示，此时如果用户下拉刷新，就应该清除
                    else{
                    	$('.user_video .upload_video_mission_title').css('display','none');
                    	$('.upload_video_content').html('');
                    }
                }   
                //请求失败
                else{

                    //失败提示
                    api.toast({
                        msg: JSON.stringify(err),
                        duration: 2000,
                        location: 'bottom'
                    });

                }

            });
    	}
    }

	//当前页码+1
	page++;
}