/**
 * jquery
*/

/**
 * 公共变量定义
*/
//当前页码
var page   =   1;



$(function(){

    


    
});


/**
 * ajax加载视频列表函数
*/
function load_video_list(video_list_url){

    video_list_url  +=  '?app=true';

    //ajax请求
    api.ajax({
        url: video_list_url,
        method: 'get',
        cache: true,    //是否缓存，若缓存，下次没网络时请求则会使用缓存，仅在get请求有效
        data: {}
    }, function(ret, err) {
        //请求成功
        if(ret) {
            //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
            api.refreshHeaderLoadDone();

            //隐藏正在加载
            $('.loading').css('display','none');

            //填充视频列表html
            $('.video_list').html(ret.html);

            //将当前页码初始化为1
            page   =   1;

            //改变分页加载状态为：初始化
            $('.page_looding').attr('state','0');

        }
        //请求失败
        else{
            //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
            api.refreshHeaderLoadDone();
            //失败提示
            api.toast({msg: JSON.stringify(err),duration: 2000,location: 'bottom'});
        }
    });
}


/**
 * 视频列表分页加载函数
*/
function load_page_video_list(video_list_url){


    //是否有网络
    if(is_connectionType()){
        //加载状态
        var this_state  =   $('.page_looding').attr('state');
        //未加载
        if(this_state=='0'){
            //开始加载  
            //改变分页加载状态为：正在加载中
            $('.page_looding').attr('state','1');
            
            //页码+1
            page++;

            //ajax请求
            api.ajax({
                url: video_list_url+"?&ajax=true&p="+page,
                method: 'get',
                data: {}
            }, function(ret, err) {
                //请求成功
                if(ret) {
                    
                    //如果有数据
                    if(ret.listing_count>0){

                        //追加html
                        $('.video_list_main').append(ret.html);
                        //改变分页加载状态为：初始化
                        $('.page_looding').attr('state','0');
                    }
                    //如果没有数据
                    else{
                        
                        //改变分页加载状态为：没有了
                        $('.page_looding').attr('state','2');
                    }
                }
                    
                //请求失败
                else{
                    //失败提示
                    api.toast({
                        msg: JSON.stringify(err),
                        duration: 2000,
                        location: 'bottom'
                    });

                }
            });

        }
        //其他状态不用执行。保持即可
    }

}
