/**
 * jquery
*/

/**
 * 公共变量定义
*/

//当前页码
var page   =   1;


//发送消息唯一标识符
//每次发送消息都会+1，使得消息标识符不一样
//用于更新消息发送状态
var send_xiaoxi_key =   1;


//我的uid
var a_uid   =   0;
//我的头像
var a_user_image    =   '';
//我的url
var a_user_url  =   '';


$(function(){

    

});


/**
 * 设置聊天记录列表样式
*/
function set_liaotian_list_style(){
    var box_width  =   $('#LayoutDiv1').width();    //盒子宽度
    /*$('.liaotian_li_a').width(box_width-60);
    $('.liaotian_li_b').width(box_width-80);*/
    $('.liaotian_li_a_main_text,.liaotian_li_b_main_text').css('max-width',box_width-156);
}


/**
 * ajax加载消息页函数
*/
function load_liaotian(b_uid){

    liaotianjilu_url  =  'http://www.wnbm110.com/Index/Xiaoxi/liaotianjilu.html?b_uid='+b_uid;
    
    //ajax请求
    api.ajax({
        url: liaotianjilu_url,
        method: 'get',
        cache: false,    //是否缓存，若缓存，下次没网络时请求则会使用缓存，仅在get请求有效
        data: {}
    }, function(ret, err) {

        //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        api.refreshHeaderLoadDone();

        //请求成功
        if(ret) {
            
            //隐藏正在加载
            $('.loading').css('display','none');

            //处理 [服务器端的是否登录] 的json返回
            set_server_is_login(ret);

            //填充聊天页html
            $('.liaotian_box').html(ret.html);

            //调用 [设置聊天记录列表样式] 函数
            set_liaotian_list_style();

            //跳转到底部锚点位置
            $(document).scrollTop(document.body.scrollHeight);

            //设置我的uid
            a_uid   =   ret.a_uid;
            //设置我的头像
            a_user_image    =   ret.a_user_image;
            //设置我的url
            a_user_url     =    ret.a_user_url;

            //广播 [已阅读消息] 事件
            api.sendEvent({
                name: 'yiyueduxiaoxi',
                extra: {
                    haoyou_id: ret.haoyou_id,
                }
            });

            //页码+1
            page++;
        }
        //请求失败
        else{
            //失败提示
            api.toast({msg: JSON.stringify(err),duration: 2000,location: 'bottom'});
        }
    });
}

/**
 * ajax分页加载消息页函数
*/
function load_page_liaotian(b_uid){

    liaotianjilu_url  =  'http://www.wnbm110.com/Index/Xiaoxi/liaotianjilu.html?ajax=true&b_uid='+b_uid+'&p='+page;
    
    //ajax请求
    api.ajax({
        url: liaotianjilu_url,
        method: 'get',
        cache: false,    //是否缓存，若缓存，下次没网络时请求则会使用缓存，仅在get请求有效
        data: {}
    }, function(ret, err) {

        //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        api.refreshHeaderLoadDone();

        //请求成功
        if(ret) {

            //处理 [服务器端的是否登录] 的json返回
            set_server_is_login(ret);

            //插入html
            $('.liaotian_ul').prepend(ret.html);

            //调用 [设置聊天记录列表样式] 函数
            set_liaotian_list_style();

            //页码+1
            page++;

        }
        //请求失败
        else{
            //失败提示
            api.toast({msg: JSON.stringify(err),duration: 2000,location: 'bottom'});
        }
    });
}




/**
 * 发送消息函数
 * @params
 * ret 数据
 * type 数据类型
*/
function send_xiaoxi(ret,type){

    var this_data;
    var this_html;

    //如果是文本类型
    if(type=='text'){
        //验证发送内容
        if(!ret.msg){
            return false;
        }

        //组建提交的数据
        this_data   =   {
            values: {
                b_uid: b_uid,   //对方uid
                type: type, //消息类型
                content: ret.msg,   //消息内容
                send_xiaoxi_key: send_xiaoxi_key   //发送消息唯一标识符
            }
        };

        //组建消息浏览的html
        this_html   =   '<div class="liaotian_li" send_xiaoxi_key="'+send_xiaoxi_key+'"><div class="liaotian_li_a"><div class="liaotian_li_a_touxiang"><a href="'+a_user_url+'" class="open_web_window"><img src="'+a_user_image+'"></a></div><div class="liaotian_li_a_main"><div class="liaotian_li_a_main_jianjiao"><span></span></div><div class="liaotian_li_a_main_text">'+this_data.values.content+'</div><div class="liaotian_li_a_main_fasongzhong"></div><div class="liaotian_li_a_main_fasongshibai"><a href="javascript:;">发送失败</a></div></div></div></div>';
    
    }
    //如果未定义类型
    else{
        alert('未定义此发送类型');
        return false; 
    }


    //添加本消息到消息记录
    $('.liaotian_ul').append(this_html);
    //设置发送状态为 [发送中]
    $('[send_xiaoxi_key="'+send_xiaoxi_key+'"]').find('.liaotian_li_a_main_fasongzhong').css('display','block');
    
    //调用 [设置聊天记录列表样式] 函数
    set_liaotian_list_style();

    //跳转到底部锚点位置
    $(document).scrollTop(document.body.scrollHeight);

    //发送消息唯一标识符+1
    send_xiaoxi_key++;

    //ajax请求
    api.ajax({
        url: 'http://www.wnbm110.com/Index/xiaoxi/send_xiaoxi.html',
        method: 'post',
        data: this_data
    }, function(ret, err) {
        //请求成功
        if(ret) {
            //发送成功
            if(ret.status==1){

                //设置发送状态为 [发送成功]
                $('[send_xiaoxi_key="'+ret.send_xiaoxi_key+'"]').find('.liaotian_li_a_main_fasongzhong').css('display','none');

                //发送成功，播放音频
                api.startPlay({path: 'widget://res/mp3/fasongchenggong.mp3'}, function(ret, err) {
                    if(!ret){
                        //失败提示
                        api.toast({msg: JSON.stringify(err),duration: 2000,location: 'bottom'}); 
                    }
                });

            }
            //发送失败
            else{

                //设置发送状态为 [发送失败]
                $('[send_xiaoxi_key="'+send_xiaoxi_key+'"]').find('.liaotian_li_a_main_fasongshibai').css('display','block');
                //失败提示
                api.toast({msg: JSON.stringify(ret),duration: 2000,location: 'bottom'});
            }
        }
        //请求失败
        else{
            //失败提示
            api.toast({msg: JSON.stringify(err),duration: 2000,location: 'bottom'});
        }
    });
}